/*
 *          Vanish Firefox Plugin MPL Version 1.1 License
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is "Vanish Firefox Plugin"
 * 
 * The Initial Owner of the Original Code is the University of Washington.
 * The code is Copyright (C) 2009 by University of Washington. All
 * Rights Reserved.
 * 
 * Contributor(s): Amit Levy
 */

function onLoad(win) {

	if (window.arguments !== undefined) {
		var isEncapsulated = window.arguments[0];
		var time = window.arguments[2];
		document.getElementById('time').value += time / 1000.0 + " seconds.";
		document.getElementById('text').value = window.arguments[1];
		if (!isEncapsulated) {
			document.getElementById('text').disabled = true;
			document.getElementById('text').style.backgroundColor = "white";
			document.getElementById('text').style.color = "black";
		}
		document.getElementById('description').value = isEncapsulated ? "EncapsulatedVDO"
				: "Decapsulated VDO";
		document.title = "Vanish";
	}
}
